%define subrel 1

Name:		starfighter
Summary:	Project: Starfighter is a Space/Arcade game
Version:	1.1
Release:	%mkrel 8
URL:		http://www.parallelrealities.co.uk/projects/starfighter.php
Source0:	http://www.parallelrealities.co.uk/download/starfighter/%{name}-%{version}-1.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-1.1-mdkconf.patch
License:	GPL
Group:		Games/Arcade
BuildRequires:	SDL-devel SDL_mixer-devel SDL_image-devel

%description
Starfighter is a Space/Arcade game. 

The story:
After decades of war one company, who had gained powerful
supplying both sides with weaponary, steps forwards and
crushes both warring factions in one swift movement.
Using far superior weaponary and AI craft, the company
was completely unstoppable and now no one can stand in
their way. Thousands began to perish under the iron fist
of the company. The people cried out for a saviour, for
someone to light this dark hour... and someone did.

Features:

26 missions over 4 star systems
Primary and Secondary Weapons (including a laser cannon and a charge
weapon) 
A weapon powerup system
Wingmates
Missions with Primary and Secondary Objectives
A Variety of Missions (Protect, Destroy, etc)
13 different music tracks
Boss battles

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%define Werror_cflags %nil
%make DATADIR="%{_gamesdatadir}/%{name}/" OPTFLAGS="%{optflags} -O3"

%install
rm -rf %{buildroot}
%{makeinstall_std} DATADIR="%{buildroot}%{_gamesdatadir}/%{name}/" BINDIR="%{buildroot}%{_gamesbindir}/"

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Project: Starfighter
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc docs/*
%{_gamesdatadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%defattr(755,root,root,755)
%{_gamesbindir}/*




%changelog
* Sat Jul 09 2011 stormi <stormi> 1.1-8.1.mga1
+ Revision: 120922
- add starfighter to Mageia 1

* Sat Jun 25 2011 zezinho <zezinho> 1.1-8.mga2
+ Revision: 113522
- imported package starfighter


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-8mdv2011.0
+ Revision: 614976
- the mass rebuild of 2010.1 packages

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 1.1-7mdv2010.1
+ Revision: 541405
- fix build with format check

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.1-6mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jul 09 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1-6mdv2008.0
+ Revision: 50360
- drop debian menu
  rebuild
- Import starfighter



* Thu Aug 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-5mdv2007.0
- xdg menu
- fix group

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-4mdk
- rebuild
- %%mkrel

* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-3mdk
- rebuild for new menu
- don't bzip2 icons in src.rpm
- fix buildrequires (lib64..)

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- rebuild for new g++

* Mon Sep 01 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- 1.1
- license is now GPL
- regenerated P0

* Sun Aug 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-5mdk
- changed description (thx, Adam Williamson & Charles A. Edwards)

* Sat Aug 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-4mdk
- corrected url

* Mon Jun 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-3mdk
- change summary to macro to avoid the use of the -debug package's summary
  in menu item

* Wed May 28 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-2mdk
- fix summary and name, it's Project: Starfighter not only Starfighter

* Wed May 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.00-1mdk
- initial mdk release
